Subject: Re: bug#52841: show-paren paring error in org-mode source blocks

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 29 Dec 2021 16:41:09 +0100

Eli Zaretskii <[email-masked]> writes:

>> #+begin_src emacs-lisp
>> 
>>   (if (not (version< emacs-version "27.0"))
>>       (progn
>>     (if (fboundp 'native-comp-available-p) (setq comp-deferred-compilation t))
>>     (setq warning-suppress-types '((flycheck syntax-checker) (comp))))
>>     )
>> 
>> #+end_src
>
> Isn't this a problem specific to Org?  If so, please report it to the
> Org bug address first.

Well, you see it in any mode that displays code blocks, like in Gnus.
Doesn't rmail fontify that block of code for you?

I can reproduce the problem in Gnus, too, but I'm not that familiar with
how show-paren works -- does it just use the syntax properties in the
buffer?  In which case I don't know how to fix this, because in Gnus
article buffers, <> have parenthesis syntax.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no